// file strategy.js
global.log = global.log || console.log
global.error = global.error || console.error

module.exports = class extends (global.Trader || require('..')) {
  constructor (options) {
    super(options)
    this.defaultSymbol = this.options.defaultSymbol
  }

  /**
     * SamplePanicCloseStrategy on init method
     *
     * @author jsb4ch <jsb4ch@jsmex.io>
     * @since 1.1.0
    */
  onInit () {
    return this.setKeyValueStorage({
      key: 'sample_key',
      value: 'sample_value'
    })
  }

  /**
     * SamplePanicCloseStrategy on tick method
     *
     * @author jsb4ch <jsb4ch@jsmex.io>
     * @since 1.1.0
    */
  async onTick () {
    try {
      let value = await this.getKeyValueStorage({ key: 'sample_key' })
      global.log(value)
    } catch (err) {
      global.error(err)
    }
  }

  /**
     * SamplePanicCloseStrategy on tick method
     *
     * @author jsb4ch <jsb4ch@jsmex.io>
     * @since 1.1.0
    */
  onExit () {

  }

  /**
     * SamplePanicCloseStrategy static options
     *
     * @author jsb4ch <jsb4ch@jsmex.io>
     * @since 1.1.0
    */
  static get options () {
    return {
      ...this.defaultOptions,
      defaultSymbol: 'JMX/USDT',
      exchanges: {
        jsmex: {
          wwwDomain: 'jsmex.io',
          apiDomain: 'devapi.jsmex.io'
        }
      },
      ccxt: {
        fetchOHLCV: {
          resolution: '10m',
          limit: 500
        }
      }
    }
  }
}
