/**
 * IDTO class
 *
 * @author jsb4ch <jsb4ch@jsmex.io>
 * @since 1.0.0
*/
class IDTO {
  constructor (uid) {
    if (uid === undefined) {
      throw new Error('UID not valid')
    }

    this.uid = uid
  }

  /**
   * IDTO static validation method
   *
   * @author jsb4ch <jsb4ch@jsmex.io>
   * @since 1.0.0
   * @param eDTO object
  */
  static isValid (eDTO) {
    const XDTO = this
    let test = new XDTO(eDTO.uid)
    Object.assign(test, eDTO)
    test.validate()
    return test
  }
}

module.exports = IDTO
